cURL
curl --request GET \
--url https://firstpromoter.com/api/v1/leads/show \
--header 'X-API-KEY: <api-key>'import requests
url = "https://firstpromoter.com/api/v1/leads/show"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://firstpromoter.com/api/v1/leads/show', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"uid": "<unknown>",
"email": "[email protected]",
"customer_since": "<string>",
"cancelled_at": "<string>",
"plan_name": "<string>",
"suspicion": "<string>",
"username": "<string>",
"website": "<string>",
"created_at": "<string>",
"split_promotion_id": "<unknown>",
"custom_fields": "<unknown>",
"split_percentage_value": "<unknown>",
"visitor_sub_id": "<unknown>",
"promotion": {
"id": 123,
"status": "<string>",
"ref_id": "<string>",
"promo_code": "<string>",
"customer_promo_code": "<string>",
"target_reached_at": "<string>",
"promoter_id": 123,
"campaign_id": 123,
"referral_link": "<string>",
"current_offer": {
"id": 123,
"name": "<string>",
"amount": 123,
"unit": "<string>",
"default_promo_code": "<string>"
},
"current_referral_reward": {
"id": 123,
"amount": 123,
"unit": "<string>",
"name": "<string>",
"per_of_sale": 123,
"default_promo_code": "<string>"
},
"current_promotion_reward": {},
"current_target_reward": {},
"campaign_name": "<string>",
"hidden": true,
"visitors_count": 123,
"leads_count": 123,
"customers_count": 123,
"refunds_count": 123,
"cancellations_count": 123,
"sales_count": 123,
"sales_total": 123,
"refunds_total": 123,
"active_customers_count": 123
},
"promoter": {
"id": 123,
"cust_id": "<unknown>",
"email": "<string>",
"created_at": "<string>",
"temp_password": "<string>",
"default_promotion_id": 123,
"pref": "<string>",
"default_ref_id": "<string>",
"note": "<string>",
"w8_form_url": "<unknown>",
"w9_form_url": "<unknown>",
"parent_promoter_id": "<string>",
"earnings_balance": {},
"current_balance": {},
"paid_balance": {},
"auth_token": "<string>"
}
}"Bad credentials"{
"error": "Lead not found."
}{
"error": "You need to find the lead/customer either by id, uid or email."
}Leads
Show leads and customers details
Show the lead/customer details from FirstPromoter using the API. You can find the referral either by id , uid or email
HTTP Request
GET https://firstpromoter.com/api/v1/leads/showGET
/
show
cURL
Authorizations
Query Parameters
required if email or uid is null
ID of the lead or customer to show
required if email or id is null
UID of the lead or customer to show
required if id and uid is null
Email of the lead or customer to show
Response
Show lead 200 response
The lead's ID inside FirstPromoter
The lead's or customer's status
Available options:
signup, active, subscribed, denied, cancelled Your lead/customer's user ID inside your application.
The lead's or customer's email
ISO date string at which the lead converted to a customer.
ISO date string at which the lead/customer cancelled
ISO date string at which the lead/customer signed up
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I